html {
  height: 100%;
}
body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  background: linear-gradient(#141e30, #243b55);
}

/* base */

h3 {
  font-weight: 9000;
  color: #15163f;
}

/*===== FORM =====*/
.l-form {
  background-color: #f1f1f1;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}
.form {
  margin: 40px;
  background-color: white;
  width: 500px;
  padding: 2rem 2rem;
  border-radius: 1rem;
  box-shadow: 0 10px 25px rgba(92, 99, 105, 0.2);
}
.form__title {
  font-weight: 400;
  margin-bottom: 3rem;
}
.form__div {
  position: relative;
  height: 48px;
  margin-bottom: 1.5rem;
}
.form__input {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 1px solid #01b3bf;
  border-radius: 0.5rem;
  outline: none;
  padding: 1rem;
  background: none;
  z-index: 1;
}
.form__label {
  position: absolute;
  left: 1rem;
  top: 1rem;
  padding: 0 0.25rem;
  background-color: #fff;
  color: #01b3bf;
  font-size: var(--normal-font-size);
  transition: 0.3s;
}
.form__button {
  padding: 0.75rem 2rem;
  outline: none;
  border: none;
  background-color: #01b3bf;
  color: #fff;
  font-size: var(--normal-font-size);
  border-radius: 0.5rem;
  cursor: pointer;
  transition: 0.3s;
}
.form__button:hover {
  box-shadow: 0 10px 36px rgba(0, 0, 0, 0.15);
}

/*Input focus move up label*/
.form__input:focus + .form__label {
  top: -0.5rem;
  left: 0.8rem;
  color: #01b3bf;
  font-weight: 500;
  z-index: 10;
}

/*Input focus sticky top label*/
.form__input:not(:placeholder-shown).form__input:not(:focus) + .form__label {
  top: -0.5rem; /* root em  1 rem = 16 pixels */
  left: 0.8rem;
  font-weight: 500;
  z-index: 10;
}

/*Input focus*/
.form__input:focus {
  border: 1.5px solid #01b3bf;
}

/* mine */
.row_input {
  height: 30px;
  display: flex;
  justify-content: space-between;
  margin-bottom: 15px;
}

.row_input p {
  color: #15163f !important;
}
/* mine */

.login-box {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 400px;
  padding: 40px;
  transform: translate(-50%, -50%);
  background: rgba(0, 0, 0, 0.5);
  box-sizing: border-box;
  box-shadow: 0 15px 25px rgba(0, 0, 0, 0.6);
  border-radius: 10px;
}

.login-box h2 {
  margin: 0 0 30px;
  padding: 0;
  color: #01b3bf;
  text-align: center;
}

.login-box .user-box {
  position: relative;
}

.login-box .user-box input {
  width: 100%;
  padding: 10px 0;
  font-size: 16px;
  color: #01b3bf;
  margin-bottom: 30px;
  border: none;
  border-bottom: 1px solid #01b3bf;
  outline: none;
  background: transparent;
}
.login-box .user-box label {
  position: absolute;
  top: 0;
  left: 0;
  padding: 10px 0;
  font-size: 16px;
  color: #01b3bf;
  pointer-events: none;
  transition: 0.5s;
}

.login-box .user-box input:focus ~ label,
.login-box .user-box input:valid ~ label {
  top: -20px;
  left: 0;
  color: #03e9f4;
  font-size: 12px;
}

.login-box form a {
  position: relative;
  display: inline-block;
  padding: 10px 20px;
  color: #03e9f4;
  font-size: 16px;
  text-decoration: none;
  text-transform: uppercase;
  overflow: hidden;
  transition: 0.5s;
  margin-top: 40px;
  letter-spacing: 4px;
}

.login-box a:hover {
  background: #03e9f4;
  color: #fff;
  border-radius: 5px;
  box-shadow: 0 0 5px #03e9f4, 0 0 25px #03e9f4, 0 0 50px #03e9f4,
    0 0 100px #03e9f4;
}

.login-box a span {
  position: absolute;
  display: block;
}

.login-box a span:nth-child(1) {
  top: 0;
  left: -100%;
  width: 100%;
  height: 2px;
  background: linear-gradient(90deg, transparent, #03e9f4);
  animation: btn-anim1 1s linear infinite;
}

.form_heading {
  font-size: 14px;
  font-weight: 600;
  color: #02939b;
}

.update_msg {
  display: flex;
  justify-content: end;
}

.update_msg p {
  margin: 0;
  font-size: 10px;
  color: #ff895b;
}

.submit_btn_group {
  display: flex;
  justify-content: space-evenly;
}

.cancel {
    padding: 0.75rem 2rem;
  outline: none;
  border: none;
  background-color: gray;
  color: white!important;
  font-weight: bold;
  font-size: var(--normal-font-size);
  border-radius: 0.5rem;
  cursor: pointer;
  transition: 0.3s;
}

.cancel:hover {
  box-shadow: 0 10px 36px rgba(0, 0, 0, 0.15);
}
